#include <bits/stdc++.h>
#include "partition.h"

using namespace std;

std::vector<int> solve(std::vector<int> A) {
  int n = A.size();
  vector<int> v;
  for ( int i = 0; i < n; ++i ) v.push_back(i);
  swap(v[n - 1], v[(n - 1) / 2]);

  return v;
}
